## ros-melodic-moveit-resources-panda-moveit-config 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_resources_panda_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-moveit-resources-panda-moveit-config (0.7.0-1stretch) stretch; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Remove solver attempts (#35 <https://github.com/ros-planning/moveit_resources/issues/35>)
  * Contributors: Michael Görner, Robert Haschke

 -- Mike Lautman <mike@picknik.ai>  Wed, 12 Aug 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-moveit-resources-panda-moveit-config
Section: misc
Priority: optional
Maintainer: Mike Lautman <mike@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-moveit-resources-panda-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher, ros-melodic-joint-state-publisher-gui, ros-melodic-moveit-resources-panda-description, ros-melodic-robot-state-publisher, ros-melodic-topic-tools, ros-melodic-xacro
Description: MoveIt Resources for testing: Franka Emika Panda A project-internal configuration for testing in MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-resources-panda-moveit-config//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-resources-panda-moveit-config 0.8.2

=== debian/changelog ===
ros-melodic-moveit-resources-panda-moveit-config (0.8.2-1bionic) bionic; urgency=high

  * test_environment.launch: use fake_execution_type="last point" by default
  * Contributors: Robert Haschke

 -- MoveIt maintainer team <moveit_releasers@googlegroups.com>  Wed, 17 Nov 2021 23:00:00 -0000

ros-melodic-moveit-resources-panda-moveit-config (0.8.1-1bionic) bionic; urgency=high

  * Recreated moveit_resources_panda_moveit_config with latest MSA (#92 <https://github.com/ros-planning/moveit_resources/issues/92>)
  * Rename launch parameter ``execution_type`` -> ``fake_execution_type`` to clarify that it is only used for fake controllers
  * Replace ``$(find moveit_resources\_*_moveit_config)/launch/*`` -> ``$(dirname)/*``
  * Introduce ``prbt_moveit_config/launch/test_environment.launch``
  * Remove TrajOpt planner config from OMPL pipeline (#85 <https://github.com/ros-planning/moveit_resources/issues/85>)
  * Minor fixes (#90 <https://github.com/ros-planning/moveit_resources/issues/90>)
    * CHOMP parameter ``collision_clearance`` got renamed (fixed typo)
    * Fix empty sensors_3d.yaml
    * ``setup_assistant.launch``: require MSA node
  * Contributors: Captain Yoshi, Michael Görner, Robert Haschke

 -- MoveIt maintainer team <moveit_releasers@googlegroups.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-melodic-moveit-resources-panda-moveit-config (0.8.0-1bionic) bionic; urgency=high

  * Let users specify fake execution type for demo.launch (#61 <https://github.com/ros-planning/moveit_resources/issues/61>)
    Required to invoke demo.launch use_rviz:=false with execution speedup for tests.
    See https://github.com/ros-planning/moveit/pull/2602
    for the corresponding patch in the setup assistant.
  * Contributors: Michael Görner

 -- MoveIt maintainer team <moveit_releasers@googlegroups.com>  Tue, 27 Apr 2021 22:00:00 -0000

ros-melodic-moveit-resources-panda-moveit-config (0.7.2-1bionic) bionic; urgency=high

  * Migrate to GitHub Actions (#57 <https://github.com/ros-planning/moveit_resources/issues/57>)
  * Fix formatting issues
  * Run multiple planning pipelines with MoveGroup (#47 <https://github.com/ros-planning/moveit_resources/issues/47>)
  * Update panda_moveit_config launch files: add use_rviz parameter (#52 <https://github.com/ros-planning/moveit_resources/issues/52>)
  * Add Pilz planner pipeline
  * Contributors: Christian Henkel, Joachim Schleicher, Henning Kayser, Michael Görner, Robert Haschke, Tyler Weaver

 -- MoveIt maintainer team <moveit_releasers@googlegroups.com>  Thu, 25 Mar 2021 23:00:00 -0000

ros-melodic-moveit-resources-panda-moveit-config (0.7.1-1bionic) bionic; urgency=high

  * Fix self-colliding 'extended' pose (#42 <https://github.com/ros-planning/moveit_resources/issues/42>)
  * Contributors: Henning Kayser

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Oct 2020 22:00:00 -0000

ros-melodic-moveit-resources-panda-moveit-config (0.7.0-1bionic) bionic; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Remove solver attempts (#35 <https://github.com/ros-planning/moveit_resources/issues/35>)
  * Contributors: Michael Görner, Robert Haschke

 -- Mike Lautman <mike@picknik.ai>  Wed, 12 Aug 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-moveit-resources-panda-moveit-config
Section: misc
Priority: optional
Maintainer: MoveIt maintainer team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-moveit-resources-panda-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher, ros-melodic-joint-state-publisher-gui, ros-melodic-moveit-resources-panda-description, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-tf2-ros, ros-melodic-xacro
Description: MoveIt Resources for testing: Franka Emika Panda A project-internal configuration for testing in MoveIt.
